### Virtual Method

# Clutter Actor get_preferred_width

#### Declaration [src]

    void
    get_preferred_width (
      ClutterActor* self,
      gfloat for_height,
      gfloat* min_width_p,
      gfloat* natural_width_p
    )

#### Description [src]

Computes the requested minimum and natural widths for an actor, optionally depending on the specified height, or if they are already computed, returns the cached values.

An actor may not get its request - depending on the layout manager that’s in effect.

A request should not incorporate the actor’s scaleor translation; those transformations do not affect layout, only rendering.

#### Parameters

`for_height`

  Type: `gfloat`

  Available height when computing the preferred width, or a negative value to indicate that no height is defined.

`min_width_p`

  Type: `gfloat*`

  Return location for minimum width, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`natural_width_p`

  Type: `gfloat*`

  Return location for the natural width, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.